Subject: Re: [bug#73989] [PATCH games-team 0/2] Add TORCS.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 12 Nov 2024 20:49:51 +0900

Hi!

Rodion Goritskov <[email-masked]> writes:

> I tried to apply and build this patchset with the current master.
> It applies fine (with some warnings on whitespaces).
>
> Plib builds fine. However, TORCS fails to build with the following error:
>
> building /gnu/store/1r1lq54yhvh748jsdmd1apdxss5qbk11-download.drv...
> source is at 'download'
> applying '/gnu/store/jlgga73s3qj44kkdqagqhg32ipiqmlrk-torcs-isnan.patch'...
> can't find file to patch at input line 7
> Perhaps you used the wrong -p or --strip option?
> The text leading up to this was:
> --------------------------
> |Source: https://src.fedoraproject.org/rpms/torcs/raw/rawhide/f/torcs-1.3.7-isnan.patch
> |Upstream-status:
> | https://sourceforge.net/p/torcs/mailman/torcs-devel/thread/0bd466b7-e158-471b-13ad-504167587d01%40embecosm.com/#msg35836767
> |
> |diff -up torcs-1.3.7/src/drivers/olethros/geometry.cpp.orig torcs-1.3.7/src/drivers/olethros/geometry.cpp
> |--- torcs-1.3.7/src/drivers/olethros/geometry.cpp.orig 2016-06-07 19:49:11.347896827 +0100
> |+++ torcs-1.3.7/src/drivers/olethros/geometry.cpp      2016-06-07 19:49:46.532894257 +0100
> --------------------------

Ah! That download.drv seemed wrong.  I think it is caused by a last
minute change I did following 'guix lint', which suggested adapting the
URL; I had added /download at the end of the URL and apparently that
threw off our unpacking phase, which no longer considered it a tarball
or something.

Anyway, fixed by adding a 'file-name' field to the origin, and pushed as
18bd867b24 as a fixup commit.

Enjoy!

-- 
Maxim